Package org.eclipse.m2m.atl.common

# Class ATLLogger

java.lang.Object
org.eclipse.m2m.atl.common.ATLLogger

public class ATLLogger extends Object
The common ATL logger.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Logger`
`logger`
`static final String`
`LOGGER_ID`
The logger ID.
`static final Level`
`LOGLEVEL`
The lowest logging level to log.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ATLLogger()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`fine(String msg)`
Log a FINE message.
`static Logger`
`getLogger()`
Returns the ATL logger.
`static void`
`info(String msg)`
Log an INFO message.
`static void`
`log(Level level, String msg, Throwable thrown)`
Log a message.
`static void`
`severe(String msg)`
Log a SEVERE message.
`static void`
`warning(String msg)`
Log a WARNING message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOGGER_ID

public static final String LOGGER_ID
The logger ID.

See Also:
  - Constant Field Values

### LOGLEVEL

public static final Level LOGLEVEL
The lowest logging level to log.

### logger

protected static Logger logger

## Constructor Details

### ATLLogger

protected ATLLogger()
Constructor.

## Method Details

### getLogger

public static Logger getLogger()
Returns the ATL logger.

Returns:
  The ATL logger

### log

public static void log(Level level, String msg, Throwable thrown)
Log a message.

Parameters:
  `level` - the message severity
  `msg` - The string message (or a key in the message catalog)
  `thrown` - the throwable cause

### fine

public static void fine(String msg)
Log a FINE message.

Parameters:
  `msg` - The string message (or a key in the message catalog)

### info

public static void info(String msg)
Log an INFO message.

Parameters:
  `msg` - The string message (or a key in the message catalog)

### warning

public static void warning(String msg)
Log a WARNING message.

Parameters:
  `msg` - The string message (or a key in the message catalog)

### severe

public static void severe(String msg)
Log a SEVERE message.

Parameters:
  `msg` - The string message (or a key in the message catalog)